geos::operation::overlayng::OverlayMixedPoints Class Reference

`#include <OverlayMixedPoints.h>`

## Public Member Functions

| OverlayMixedPoints (int p_opCode, const Geometry *geom0, const Geometry *geom1, const PrecisionModel *p_pm)
std::unique_ptr< Geometry > | getResult ()

## Static Public Member Functions

static std::unique_ptr< Geometry > | overlay (int opCode, const Geometry *geom0, const Geometry *geom1, const PrecisionModel *pm)

## Detailed Description

Computes an overlay where one input is Point(s) and one is not. This class supports overlay being used as an efficient way to find points within or outside a polygon.

Input semantics are:

- Duplicates are removed from Point output
- Non-point output is rounded and noded using the given precision model

Output semantics are:

- An empty result is an empty atomic geometry with dimension determined by the inputs and the operation, as per overlay semantics

For efficiency the following optimizations are used:

- Input points are not included in the noding of the non-point input geometry (in particular, they do not participate in snap-rounding if that is used).
- If the non-point input geometry is not included in the output it is not rounded and noded. This means that points are compared to the non-rounded geometry. This will be apparent in the result.

Author
  Martin Davis

The documentation for this class was generated from the following file:

- OverlayMixedPoints.h